# OpenXG Core Network Installation Instructions

<br>

## *docker 部署*

- ### 下载源码

   ```shell
   git clone http://git.opensource5g.org/openxg/openxg-5gcs-release.git
   git checkout diankeyuan-aarch64
   ```

<br>

- ### 安装arm架构（aarch64）对应的docker、docker-compose

<br>

- ### 拉取镜像

   ```shell
   cd openxg-5gcs-release/scripts
   ./pull_images.sh
   ```

<br>

- ### 启动数据库并创建docker网桥

   ```shell
   cd openxg-5gcs-release/docker-compose
   docker-compose -f docker-compose-mysql.yml up -d
   ```
   >*注：<br>
   >phpmyadmin访问地址： http://<宿主机IP>:8080  <br>
   >用户名：root         <br>
   >密码：123456         <br>

<br>

- ### 构建并启动容器
   ```shell
   cd openxg-5gcs-release/docker-compose
   docker-compose -f docker-compose-5gc.yml up -d       # 运行5gc
   docker-compose -f docker-compose-ueransim.yml up -d  # 连接基站、UE
   ```

<br>

- ### 关闭并删除容器
   ```shell
   cd openxg-5gcs-release/docker-compose
   docker-compose -f docker-compose-5gc.yml down -t 0       # 关闭5gc
   docker-compose -f docker-compose-ueransim.yml down -t 0  # 关闭基站、UE
   ```

<br>

- ### 日志
   ```shell
   cd openxg-5gcs-release/docker-compose
   docker logs -f openxg-amf   # 查看amf日志
   docker logs -f openxg-smf   # 查看smf日志
   docker logs -f openxg-upf   # 查看upf日志
   docker logs -f openxg-gnb   # 查看gnb日志
   docker logs -f openxg-ue    # 查看ue日志
   ```

<br>

- ### 网元配置文件
   ```shell
   openxg-5gcs-release/etc # 配置文件路径
   amf.conf                # amf配置文件
   smf.conf                # smf配置文件
   upf.conf                # upf配置文件
   gnb.yaml                # gnb配置文件
   ue.yaml                 # ue配置文件
   ```
   <br>




